Bug 1114688 - RFE: package systemd-journal-remote separately
Summary: RFE: package systemd-journal-remote separately
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-30 16:15 UTC by Matthew Miller
Modified: 2014-08-19 19:51 UTC (History)
9 users (show)

Fixed In Version: systemd-215-2.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-05 17:31:02 UTC
Type: Bug


Attachments (Terms of Use)

Description Matthew Miller 2014-06-30 16:15:09 UTC
This is similar to bug #908081. The systemd-journal-remote binary links against libmicrohttpd, which uses gnutls.

This isn't inherently bad (and is certainly better than a new httpd implementation or, worse, new crypto), but currently gnutls isn't required in minimal cloud images, and it's unfortunate introduce a new crypto library there, as it significantly increases the chance of needing to go through a security drill in updating the images.

Please subpackage systemd-journal-remote so this isn't necessary. (Possibly it could go in the *same* subpackage?) Thank you!

Comment 1 Zbigniew Jędrzejewski-Szmek 2014-06-30 16:56:24 UTC
Yes. I want to put gatewayd and the other utilities which use µhttpd and/or gnutls in one subpackage.


Note You need to log in before you can comment on or make changes to this bug.